Skip to content

Retrieve all available user actions on a specific version of a document or binder which:

  • The authenticated user has permissions to view or initiate
  • Can be initiated through the API
GET/api/{version}/objects/{documents_or_binders}/{id}/versions/{major_version}/{minor_version}/lifecycle_actions
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{documents_or_binders}Choose to retrieve values for documents or binders.
{id}The document or binder id field value from which to retrieve available user actions.
{major_version}The major version number of the document or binder.
{minor_version}The minor version number of the document or binder.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v20.1/objects/documents/17/versions/0/1/lifecycle_actions
{ "responseStatus": "SUCCESS", "responseMessage": "Success", "lifecycle_actions__v": [ { "name__v": "start_review__vs", "label__v": "Start Review", "lifecycle_action_type__v": "workflow", "lifecycle__v": "general_lifecycle__c", "state__v": "draft__c", "entry_requirements__v": "https://myvault.veevavault.com/api/v20.1/objects/documents/17/versions/0/1/lifecycle_actions/start_review__vs/entry_requirements" }, { "name__v": "start_approval__vs", "label__v": "Start Approval", "lifecycle_action_type__v": "workflow", "lifecycle__v": "general_lifecycle__c", "state__v": "draft__c", "entry_requirements__v": "https://myvault.veevavault.com/api/v20.1/objects/documents/17/versions/0/1/lifecycle_actions/start_approval__vs/entry_requirements" }, { "name__v": "approve__vs", "label__v": "Approve", "lifecycle_action_type__v": "stateChange", "lifecycle__v": "general_lifecycle__c", "state__v": "draft__c", "entry_requirements__v": "https://myvault.veevavault.com/api/v20.1/objects/documents/17/versions/0/1/lifecycle_actions/approve__vs/entry_requirements" } ] }

The response lists all available user actions (lifecycle_actions__v) that can be initiated on the specified version of the document or binder.

  • name__v - The user action name (consumed by the API). These vary from Vault to Vault and may be text, numeric, or alphanumeric values.
  • label__v - The user action label.
  • lifecycle_action_type__v - The workflow and stateChange types are the most commonly used and are available in all Vaults. Others may exist.
  • lifecycle__v - The document or binder lifecycle the action belongs to. For example, general_lifecycle__c.
  • state__v - The state of the document or binder.
  • entry_requirements__v - The endpoint to retrieve the entry requirements for each user action. If no entry criteria exist, the endpoint returns an empty list.

Note that user actions are not returned for documents or binders which are currently in an active workflow.